How to build .apk targeting different Android versions

2 posts, 0 answers
  1. Hristo
    Hristo avatar
    1 posts
    Member since:
    Nov 2012

    Posted 22 Feb 2013 Link to this post

    Hi,
    I have created app which I published in Google Play, however it is available only for devices that has installed Android 2.x.

    How can I build apk to support newer versions?

    Thanks
  2. Evgeni "Zammy" Petrov
    Admin
    Evgeni "Zammy" Petrov avatar
    168 posts

    Posted 25 Feb 2013 Link to this post

    Hi Hristo,

    Android apps have minimum SDK requirement of Android 2.2. It should be installable on all devices from Android 2.2 and up.

     Apps are filtered by device requirements. There is know issue that certain Samsung tablets cannot download Icenium built apps because of telephony requirement.

    In Play developer console, when you select your app, scroll down until you find "Supported Devices." There you can see on what it is available.

    I just published app to check it out but it has not been made available in Google Play yet. Ill write again when the app is available. 


    Kind regards,
    Evgeni "Zammy" Petrov
    the Telerik team

    Share feedback and vote for features on our Feedback Portal.
    Want some Kendo UI online training - head over to Pluralsight.
Back to Top